Bug 1259640 - [abrt] gnome-shell: x_io_error(): gnome-shell killed by SIGTRAP
[abrt] gnome-shell: x_io_error(): gnome-shell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d8f537bf9dcb1b3f1f5c19a68ba...
:
: 1326457 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 05:07 EDT by Vadim Rutkovsky
Modified: 2017-08-08 08:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.93 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: cgroup (277 bytes, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: core_backtrace (3.66 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: dso_list (24.17 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: environ (986 bytes, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: maps (104.91 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: mountinfo (3.14 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: open_fds (5.15 KB, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: proc_pid_status (994 bytes, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details
File: var_log_messages (284 bytes, text/plain)
2015-09-03 05:07 EDT, Vadim Rutkovsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 97300 None None None 2016-09-16 09:05 EDT

  None (edit)
Description Vadim Rutkovsky 2015-09-03 05:07:31 EDT
Description of problem:
Crashes during timed login setup for GDM

Version-Release number of selected component:
gnome-shell-3.17.90-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm --wayland --display-server
crash_function: x_io_error
executable:     /usr/bin/gnome-shell
global_pid:     12059
kernel:         4.2.0-1.fc24.x86_64
runlevel:       unknown
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 x_io_error at wayland/meta-xwayland.c:348
 #3 _XIOError at XlibInt.c:1464
 #4 _XEventsQueued at xcb_io.c:366
 #5 XPending at Pending.c:55
 #6 gdk_check_xpending at gdkeventsource.c:266
 #7 gdk_event_source_check at gdkeventsource.c:303
 #8 g_main_context_check at /lib64/libglib-2.0.so.0
 #9 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #11 meta_run at core/main.c:437

Potential duplicate: bug 1065109
Comment 1 Vadim Rutkovsky 2015-09-03 05:07:33 EDT
Created attachment 1069661 [details]
File: backtrace
Comment 2 Vadim Rutkovsky 2015-09-03 05:07:34 EDT
Created attachment 1069662 [details]
File: cgroup
Comment 3 Vadim Rutkovsky 2015-09-03 05:07:35 EDT
Created attachment 1069663 [details]
File: core_backtrace
Comment 4 Vadim Rutkovsky 2015-09-03 05:07:36 EDT
Created attachment 1069664 [details]
File: dso_list
Comment 5 Vadim Rutkovsky 2015-09-03 05:07:37 EDT
Created attachment 1069665 [details]
File: environ
Comment 6 Vadim Rutkovsky 2015-09-03 05:07:38 EDT
Created attachment 1069666 [details]
File: limits
Comment 7 Vadim Rutkovsky 2015-09-03 05:07:39 EDT
Created attachment 1069667 [details]
File: maps
Comment 8 Vadim Rutkovsky 2015-09-03 05:07:40 EDT
Created attachment 1069668 [details]
File: mountinfo
Comment 9 Vadim Rutkovsky 2015-09-03 05:07:41 EDT
Created attachment 1069669 [details]
File: namespaces
Comment 10 Vadim Rutkovsky 2015-09-03 05:07:41 EDT
Created attachment 1069670 [details]
File: open_fds
Comment 11 Vadim Rutkovsky 2015-09-03 05:07:42 EDT
Created attachment 1069671 [details]
File: proc_pid_status
Comment 12 Vadim Rutkovsky 2015-09-03 05:07:43 EDT
Created attachment 1069672 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:42:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Christian Stadelmann 2016-04-12 13:41:19 EDT
*** Bug 1326457 has been marked as a duplicate of this bug. ***
Comment 15 Christian Stadelmann 2016-05-09 06:08:25 EDT
I finally found a reliable way to reproduce this crasher:

1. log in into a gnome@wayland session
2. start cherrytree

What happens:
gnome-shell immediately crashes

Affected software versions:
xorg-x11-server-Xwayland-1.18.3-2.fc24.x86_64
gtk3-3.20.3-1.fc24.x86_64
gnome-shell-3.20.1-1.fc24.x86_64
cherrytree-0.36.9-1.fc24.noarch
mutter-3.20.1-1.fc24.x86_64
Comment 16 Olivier Fourdan 2016-09-15 03:20:02 EDT
FWIW, I can run cherrytree just fine on GNOME/Wayland on F25
Comment 17 Olivier Fourdan 2016-09-15 03:22:17 EDT
The backtrace of mutter/gnome-shell won't help here, basically it's aborting because Xwayland has stopped, but that doesn't tell us why Xwayland has stopped.

What's useful in this case is the content of journalctl at the time of the issue which will contain some indication of what happened on the Xwayland side.

So it is unfortunately impossible to state whether or not those other bugs are duplicates by looking at the effects rather than the cause.
Comment 18 Christian Stadelmann 2016-09-15 05:08:28 EDT
When comment #15 happened, this was logged to journalctl:

Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: Failed to compile VS: 0:13(43): error: `pos' undeclared
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: 0:13(14): error: operands to arithmetic operators must be numeric
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: 0:13(13): error: operands to arithmetic operators must be numeric
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: Program source:
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: #define ATLAS_DIM_INV 0.000976562500000000
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: attribute vec2 primitive;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: attribute vec2 source;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: varying vec2 glyph_pos;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: uniform vec2 fill_offset;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: uniform vec2 fill_size_inv;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: varying vec2 fill_pos;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: uniform vec4 v_matrix;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: void main() {
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]:        gl_Position.xy = primitive.xy * v_matrix.xz + v_matrix.yw;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]:        gl_Position.zw = vec2(0.0,1.0);
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]:        glyph_pos = source.xy * ATLAS_DIM_INV;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]:        fill_pos = (fill_offset + primitive.xy + pos) * fill_size_inv;
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: }
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: (EE)
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: Fatal server error:
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: (EE) GLSL compile failure
Mai 09 11:40:45 hostname org.gnome.Shell.desktop[18715]: (EE)

I can confirm this issue happens no more on Fedora 25 with Gnome on Wayland.
Comment 19 Olivier Fourdan 2016-09-15 05:32:19 EDT
Right, so definitely _not_ a dupe of bug 1278159:

  (EE) GLSL compile failure

If anything, it could be a dupe of bug 1259649 - Anyway, OK to close if it's solved?
Comment 20 Christian Stadelmann 2016-09-15 05:50:15 EDT
Ok, close it as NEXTRELEASE if you like.
Comment 21 Fedora End Of Life 2017-07-25 15:14:13 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2017-08-08 08:12:10 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.